<!DOCTYPE html>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <title>thời tiết</title>
    <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css">
    <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap-theme.min.css">
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/js/bootstrap.min.js"></script>
     <!-- Link FONT - ICON-->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css">
</head>
<style>
    .main{
        
          min-height: 500px;
          padding: 30px;
             }
    .login-form{
            background-color: #2196f3;
            width: 100%;
            max-width: 400px;
            margin: 20px auto;
            padding: 15px;
            border: 2px dotted #cccccc;
            border-radius: 10px;
        }
 </style>

<body>

    <!--hea derr-->
    <div class="container-fluid">
        <div class="row">
                <div class="col-sm-6 ">
                    <div class="col-sm-4"></div>
                    <div class="collapse navbar-collapse justify-content-center" id="navbarSupportedContent">
                        <ul class="navbar-nav">
                            <li class="nav active">
                                <a class="navbar-brand p-3 border-a" href="#">Weather app</a>
                            </li>

                        </ul>

                    </div>
                </div>
                <div class="col-sm-6 ">
                    <div class="col-sm-4"></div>
                    <div class="collapse navbar-collapse  justify-content-center" id="navbarSupportedContent">
                        <ul class="navbar-nav">
                            <li class="nav active">
                                <a class="navbar-brand  p-3 border-a" href="#">Current</a>
                            </li>
                            <li class="nav active">
                                <a class="navbar-brand  p-3 border-a" href="#">Forecast</a>
                            </li>
                        </ul>
                    </div>
                </div>

            </div>
        </div>
        <!--Tide-->
        <div class="container-fluid bg-primary p-9 m-9 ">
            <h1 class="text-center p-3"> Get Current Wheather Information</h1>
        </div>
        <!--//Tide-->
        

        <!-- conten -->
        <div class="container-fluid m-5 p-5">
            <div class=" text-center m-5 p-5">
                <h3 class="text-primary m-5 p-5">Enter City Name</h3>
            </div>
            <div class="row">
                <div class="col-sm-4"></div>
                <div class="justify-content-center">
                    <div class="col-sm-3">
                        <input class=" form-control" placeholder="Enter City Name" id="inp-city-name">   
                    </div>
                    <div class="col-sm-1">
                        <button class="form-control btn-primary" id="btn-city-name">City Name</button> 
                    </div>               
                </div>
            </div>
        </div>
        <!-- vùng hiển thị thông tin đơn hàng(order) -->
        <div id="hienthi" style="display: none;">
        <main>
            <div class="container">
                <div class="login-form">
                    <form>
                        <div class="row">
                            <div class="col-sm-3">
                                <label>Weather:</label>
                            </div>
                            <div class="col-sm-3">
                                <p id="p-weather"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-5">
                                <label>Description:</label>
                            </div>
                            <div class="col-sm-6">
                                <p id="p-description"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3">
                                <label>Temperature:</label>
                            </div>
                            <div class="col-sm-3">
                                <p id="p-temp"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3">
                                <label>Perssre:</label>
                            </div>
                            <div class="col-sm-3">
                                <p id="p-perssre"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3">
                                <label>Hummidity:</label>
                            </div>
                            <div class="col-sm-3">
                                <p id="p-hummidity"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-5">
                                <label>Min Temperature:</label>
                            </div>
                            <div class="col-sm-3 text-danger">
                                <p id="p-min-temp"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-5">
                                <label>Max Temperature:</label>
                            </div>
                            <div class="col-sm-3">
                                <p id="p-max-temp"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-5">
                                <label>Wind Speed:</label>
                            </div>
                            <div class="col-sm-3">
                                <p id="p-wind-speed"></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-5">
                                <label>Wind Diretion:</label>
                            </div>
                            <div class="col-sm-3">
                                <p id="p-deg"></p>
                            </div>
                        </div>     
                    </form>
                </div>
            </div>
        
        </main>
        </div>
            


        <div class="container-fluid"  >
            <footer>
                <div>
                    <div style="position:fixed; width:100%; height:70px; bottom:0px;" class="bg-primary">
                        <p class="text-center p-3"  href="#">
                            Copyright @ Weather App
                        </p>
                    </div>
                   
                </div>
            </footer>
        </div>
       

    </div> 
</body>
<script>
    "use strict";
    $(document).ready(function(){
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gObject = {
        input: ""
    }

     /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
     thoiTietLoading();
     $("#btn-city-name").on("click", function(){
        getClickName();
    })
      /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
   

    // hàm gọi ajax
      function thoiTietLoading(){
        $.ajax({
            url: "https://api.openweathermap.org/data/2.5/weather?lat=21.0245&lon=105.8412&appid=2bd408bb36a0772ed986f8dd88f555c0",
            type: "GET",
            dataType: 'json',
            success: function(responseObject){
                console.log(responseObject);
                loadhienthi(responseObject);
            },
            error: function(error){
                console.assert(error.responseText);
            }
        });

    }
    // thực hiên hiển thị
    

    // thu thập thông tin
    function getDataObject(paramobject){
        "Use strict";
        paramobject.input = $("#inp-city-name").val();
    }
    function getClickName(){
        "use strict";
        getDataObject(gObject);
        if(gObject.input == "Ha Noi"){
            $("#hienthi").css({"display": "block"});
            thoiTietLoading();
        }
    }
    // hàm hiển thị 
    function loadhienthi(paramobject){
        "use strict";
       $("#p-weather").html(paramobject.weather[0].main);
       $("#p-description").html(paramobject.weather[0].description);
      
       $("#p-temp").html(paramobject.main.temp);

       $("#p-perssre").html(paramobject.main.pressure);
       $("#p-hummidity").html(paramobject.main.humidity);
       $("#p-min-temp").html(paramobject.main.temp_min);
       $("#p-max-temp").html(paramobject.main.temp_max);
       $("#p-wind-speed").html(paramobject.wind.speed);
       $("#p-deg").html(paramobject.wind.deg);

    }

    
    }) 
</script>

</html>
